Bug 40556 - The Kickstart installation fails
The Kickstart installation fails
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mkkickstart (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-14 11:01 EDT by Marian ZUREK
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 17:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exception durin the Kickstart installation (423.49 KB, patch)
2001-05-14 11:20 EDT, Marian ZUREK
no flags Details | Diff

  None (edit)
Description Marian ZUREK 2001-05-14 11:01:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9)
Gecko/20010507

Description of problem:


How reproducible:
Always

Steps to Reproduce:
1. Use the bootnet.img + ks.cfg (want to perform installation from a NFS link)
2. Boot from the diskette: linux ks=floopy
3. 
	

Actual Results:  The installation process stops.
NFS mounts seems to be fine.

Additional info:

The static address was assigned for Kickstart installation.
The manual installation went OK.
Comment 1 Marian ZUREK 2001-05-14 11:20:29 EDT
Created attachment 18290 [details]
Exception durin the Kickstart installation
Comment 2 Brent Fox 2001-05-14 15:16:27 EDT
Can you attach your kickstart file?  Seems like a possible dupe of bug #18648.
Comment 3 Marian ZUREK 2001-05-15 02:12:21 EDT
Here you go with the 'ks.cfg. file:
----------------------------------------------
Subject: 
        ks.cfg
   Date: 
        Tue, 15 May 2001 08:13:23 +0200
   From: 
        Marian Zurek <zurek@pcarches02.cern.ch>
     To: 
        zurek@cern.ch




lang en_US

network  --static --ip 137.138.131.18 --netmask 255.255.0.0 --gateway
137.138.1.1 --nameserver 137.138.16.5

nfs --server linuxsoft.cern.ch --dir /redhat/redhat-7.1/os/i386

device ethernet eepro100

keyboard "us"

zerombr yes
clearpart --linux
part swap --size 126
install

mouse genericps/2

timezone --utc Europe/Zurich

xconfig --server "/etc/X11/X: symbolic link to ../../usr/X11R6/bin/XFree86"
--monitor "samsung syncmaster 750(m)b"

rootpw --iscrypted $1$WItikl.B$642du.55p8AFWl8SqaalM0

auth --nisdomain gp_mimd.cern.ch --nisserver thetrough.cern.ch --useshadow

lilo --location mbr

%packages
kudzu-devel
gftp
libglade
sane
plugger
firewall-config
dos2unix
xpat2
docbook-utils
audiofile-devel
dev86
krb5-devel
njamd
XFree86-devel
psgml
ntp
xbl
kde-i18n-Polish
pump-devel
mkisofs
slrn
SDL
tksysv
libxml
gdk-pixbuf
mutt
qt
xloadimage
htmlview
koffice
kdeutils
freeciv
xjewel
dialog
perl-SGMLSpm
tetex-latex
im
cdecl
db3-utils
gdb
indent
libtiff-devel
netpbm-devel
readline-devel
Xaw3d-devel
iproute
xpdf
kdegames
mkkickstart
kdelibs-sound-devel
vnc-doc
man-pages-pl
multimedia
pan
tkinter
xcdroast
XFree86-xdm
htdig
zip
xgammon
docbook-style-dsssl
emacs-X11
db3-devel
gpm-devel
ncurses-devel
vorbis-devel
sudo
libmng-devel
vnc
glibc-common
redhat-release
glibc
cdparanoia
db1
e2fsprogs
finger
hdparm
libtermcap
mktemp
esound
MAKEDEV
ncurses
diffutils
findutils
ash
m4
ncftp
bind-utils
pnm2ppa
procps
raidtools
rmt
rwho
setserial
slang
setuptool
syslinux
tcsh
mkinitrd
time
utempter
wget
cracklib-dicts
gpm
a2ps
LPRng
openldap-clients
XFree86-libs
python
rpm
util-linux
devfsd
lokkit
pidentd
quota
anacron
xtt-fonts
ypbind
ucd-snmp
mozilla-psm
kde-i18n-French
pciutils-devel
compat-libstdc++
nmh
mc
rxvt
tix
ImageMagick
gnome-libs
pygnome-libglade
modemtool
urlview
XFree86
XFree86-twm
xsri
kdelibs-sound
switchdesk-kde
unix2dos
xboard
cpp
docbook-dtd41-sgml
tetex-afm
emacs
bison
db1-devel
flex
gcc-g77
libstdc++-devel
Mesa-devel
pmake
strace
bc
shapecfg
gnuplot
ksconfig
qt-devel
unarj
XFree86-doc
gsm-devel
openssl-devel
inews
ORBit
aspell-en-gb
tcl
elm
switchdesk
Wnn6-SDK
links
fetchmail
control-panel
playmidi-X11
tk
timetool
libtiff
imlib
gphoto
pygtk-libglade
pythonlib
openssh-askpass
usermode
netscape-common
Mesa
XFree86-100dpi-fonts
xinitrc
xmms
autorun
kdesupport
kdemultimedia
kdebase
unzip
mtools
xmorph
Maelstrom
xboing
xpilot
expat
docbook-dtd30-sgml
openjade
sgml-tools
tetex-dvilj
docbook-utils-pdf
emacs-nox
autoconf
byacc
ctags
db2-devel
diffstat
freetype-devel
glib-devel
gmp-devel
libjpeg-devel
gcc-c++
libungif-devel
ncompress
openldap-devel
python-devel
rpm-devel
texinfo
gtk+-devel
dump
lv
stat
blas
isapnptools
kdetoys
lapack
octave
kdesupport-devel
kdevelop
vim-enhanced
xemacs
ytalk
tamago
fortune-mod
libjpeg
arts
indexhtml
redhat-logos
setup
basesystem
termcap
bdflush
cdrecord
cracklib
db2
dosfstools
file
gdbm
gmp
iputils
libogg
mingetty
bash
bzip2
hotplug
groff
modutils
mpg123
cdp
cpio
ed
at
gawk
grep
dhcpcd
less
make
mikmod
openssl
popt
procmail
psmisc
pwdb
rdate
rootfiles
rusers
sed
shadow-utils
nscd
newt
slocate
sysklogd
talk
tcp_wrappers
lilo
mouseconfig
traceroute
vim-common
vorbis
words
cyrus-sasl
freetype
openldap
nss_ldap
pam_krb5
SysVinit
zlib
python-xmlrpc
up2date
initscripts
aumix
ipchains
kernel
openssh
portmap
pump
sndconfig
vixie-cron
XFree86-xfs
VFlib2
printconf
yp-tools
mozilla
sharutils
metamail
gtk+
smpeg
Xaw3d
lynx
gimp
rhn_register-gnome
netscape-communicator
XFree86-75dpi-fonts
xsane
printconf-gui
kdelibs
pilot-link
samba-common
trojka
xpuzzles
docbook-dtd31-sgml
tetex-fonts
w3c-libwww
automake
cvs
e2fsprogs-devel
glibc-devel
libogg-devel
ltrace
pam-devel
slang-devel
zlib-devel
rsync
cxhextris
kdoc
tetex-doc
xemacs-el
ghostscript-fonts
losetup
net-tools
perl
playmidi
ftp
sendmail-cf
ntsysv
telnet
mount
tmpwatch
which
pam
kudzu
sh-utils
krbafs
libpng
4Suite
rpm-python
pciutils
urw-fonts
ypserv
openafs-kernel
openafs-client
ucd-snmp-utils
cdda2wav
exmh
mozilla-mail
pygtk
kernel-headers
Xconfigurator
gv
lm_sensors
gnuchess
sgml-common
jadetex
cproto
gdbm-devel
libtool
rpm-build
lsof
kdegraphics
qt-designer
man-pages
libtool-libs
pspell
pine
libungif
expect
libmng
locale_config
pygnome
timidity++
netcfg
up2date-gnome
XFree86-tools
xscreensaver
kdeadmin
kdepim
samba-client
xbill
openssh-server
docbook-dtd40-sgml
tetex
tetex-xdvi
binutils
cyrus-sasl-devel
expat-devel
gcc
libpng-devel
memprof
patch
newt-devel
arpwatch
screen
ElectricFence
kernel-doc
pilot-link-devel
tree
xemacs-info
Canna-libs
netpbm
aspell
tclx
netpbm-progs
mkxauth
kdenetwork
xpaint
gd
tetex-dvips
bzip2-devel
gd-devel
libtermcap-devel
rcs
ical
kdbg
kdelibs-devel
zsh
mailcap
filesystem
awesfx
chkconfig
db3
eject
glib
ksymoops
mailx
audiofile
libstdc++
mpage
info
fileutils
gettext
gzip
man
nkf
groff-perl
logrotate
psutils
readline
rsh
console-tools
dev
kbdconfig
sox
tar
textutils
mkbootdisk
crontabs
vim-minimal
whois
authconfig
passwd
krb5-libs
autofs
sendmail
gnupg
alchemist
rhn_register
apmd
iptables
openssh-clients
nfs-utils
timeconfig
chkfontpath
ghostscript
stunnel
openafs

%post







Comment 4 Brent Fox 2001-05-15 09:05:18 EDT
Oh, ok.  The problem is clear.  You have only made one partition, and that is
the swap partition.  There are no partitions for the installer to copy the
information to.

Here's the partitioning section from your kickstart file:

clearpart --linux
part swap --size 126

What you need to do is add at least a / partition.  I don't know how much space
you have on the drive, so you'll have to make sure that there's enough room.  It
looks like you are installing a lot of packages, so you'll need quite a bit of
room.  Your partitioning section needs to look something like this:

clearpart --linux
part /  --size 2000 --grow
part swap --size 256

The '--grow' on the / partition means that it will grow to fill the rest of the
unallocated space on the drive.

It's probably a good idea to add a /boot partition too.  You can make it about
30 MB, so the section would look like this:

clearpart --linux
part /  --size 2000 --grow
part swap --size 256
part /boot --size 30


Please reopen this bug if this doesn't solve the problem.
Comment 5 Marian ZUREK 2001-05-15 10:04:33 EDT
I copied exactly your setups and tt doesn't solve the problem. The 'crash' seems
very similar.
Comment 6 Brent Fox 2001-05-15 11:28:04 EDT
Do you have any free space on the drive?  If so, how much?
Comment 7 Marian ZUREK 2001-05-15 12:02:03 EDT
Yeah. I have a 20 GB free disk space.
Comment 8 Brent Fox 2001-05-21 17:15:19 EDT
When the installer crashed, can you see any interesting error messages on VC3?
Comment 9 Brent Fox 2001-05-31 11:05:18 EDT
Closing due to inactivity.  Please reopen if you have more information.
Comment 10 Marian ZUREK 2001-05-31 11:14:41 EDT
Sorry. I was unable to connet to your server for a while.

After closer look I spotted that the list of packages I generated from the other 
host hasn't been satisfied bythe installation mount set, so the anaconda crashed
as a result of packages not found.

Should we close it here or report as a "real bug".
Comment 11 Brent Fox 2001-05-31 15:26:55 EDT
I think that the installer should raise a message saying that the package could
not be found and then exit cleanly.
Comment 12 Marian ZUREK 2001-06-01 11:44:01 EDT
Tried another time and the anaconda crashes even when the package is available
via NFS link. 
For instance it doesn't seem to find: 
libghttp,
openssh,
cpp-2.96.
Comment 13 Brent Fox 2001-06-04 13:40:13 EDT
I've never heard of a problem like this before.  Are you sure that the packages
on the NFS server are not corrupted in some way?
Comment 14 Marian ZUREK 2001-06-04 14:20:51 EDT
I actually inserted the mkkickstart generated file, i.e. containing the RPMs in
the form of:
...
libghttp-1.0.8-2
openssh-2.5.2p2-5
cpp-2.96-81
...

and then the anaconda cashes. When the 'version part' is removed the
installation gets smoothly.
Should this be reported as a mkkickstart bug?

Comment 15 Brent Fox 2001-06-04 14:56:04 EDT
Yes.  Looks like a mkkickstart file bug.  Changing component.
Comment 16 Matt Wilson 2003-10-09 17:30:44 EDT
mkkickstart isn't supported anymore, closing WONTFIX

Note You need to log in before you can comment on or make changes to this bug.